summaryrefslogtreecommitdiff
path: root/Meta/build-image-qemu.sh
diff options
context:
space:
mode:
authorEmanuele Torre <torreemanuele6@gmail.com>2020-06-20 03:01:02 +0200
committerAndreas Kling <kling@serenityos.org>2020-06-21 10:13:04 +0200
commit4a784d4d1bcdfef7743b8423613c316af33a000d (patch)
treeda8cfc9321cf580358591869a3d9126ee2eb28b5 /Meta/build-image-qemu.sh
parente42f4abd6124c31bbde28eb30726b092058a3054 (diff)
downloadserenity-4a784d4d1bcdfef7743b8423613c316af33a000d.zip
Meta: get rid of sync.sh using the technique used in the previous commit
Diffstat (limited to 'Meta/build-image-qemu.sh')
-rwxr-xr-xMeta/build-image-qemu.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/Meta/build-image-qemu.sh b/Meta/build-image-qemu.sh
index b26fb1838e..578a56c4b1 100755
--- a/Meta/build-image-qemu.sh
+++ b/Meta/build-image-qemu.sh
@@ -8,8 +8,9 @@ die() {
}
if [ "$(id -u)" != 0 ]; then
- die "this script needs to run as root"
+ exec sudo -E -- "$0" "$@" || die "this script needs to run as root"
fi
+
if [ "$(uname -s)" = "Darwin" ]; then
export PATH="/usr/local/opt/e2fsprogs/bin:$PATH"
export PATH="/usr/local/opt/e2fsprogs/sbin:$PATH"